Subject: Where is random()?
From: [email-masked] (Jan Tomasek)

14 Dec 1998 17:09:01 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>

Hi,
I'm writing one school project in C and at home I working
under CygWin 19.2 

On my Linux (Debian) is on random() man page writen that it is in
defined in stdlib.h
 * if I compile it with gcc on that linux all is ok
 * if I compile it with Cygnus gcc port I get warning:

In file included from sftpx.c:11:
ftpx.c:9: warning: implicit declaration of function `random'

Program is working correctly, I thing that random is hiden in
some .a library.

Does someone here known where is random definition?

Thanks
-- 
                            Jan Tomasek,          student FEL-CVUT
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            e-mail: [email-masked]
                            www: http://mujweb.cz/web/tomasek/   
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~H~

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".